Subject: Re: [PATCH] patch-ids.c: cache patch IDs in a notes tree

From: John Keeping <[email-masked]>
Date: Mon, 13 May 2013 15:02:43 +0100

On Mon, May 13, 2013 at 06:53:29AM -0700, Junio C Hamano wrote:
> John Keeping <[email-masked]> writes:
> 
> > The caching layer could also introduce false positives though, which is
> > more serious.  If you cache patch IDs with a pathspec restriction ...
> 
> What?  What business does patch-id have with pathspec-limited diff
> generation?  You do not rebase or cherry-pick with pathspec, so
> unless you are populating the patch-id cache at a wrong point (like,
> say whenevern "git show $commit" is run), I am not sure why pathspec
> limit becomes even an issue.

revision.c::cherry_pick_list() sets the pathspec to what was specified
in the revision options.  It's done that since commit 36d56de (Fix
--cherry-pick with given paths, 2007-07-10) and t6007 tests that it
works.